#
# Cookbook Name:: Team_Foundation_Server_STD_x64
# Recipe:: default
#
# Copyright (c) 2014 Ryan Irujo, All Rights Reserved.

# Declaring Variables
volume_name = "TFSSERVER2015.3_ENU"

remote_file "#{Chef::Config['file_cache_path']}/tfsserver2015.3_enu.iso" do
  source "http://download.microsoft.com/download/5/8/4/584d316c-2b69-4297-ae5c-a9196ec6a209/tfsserver2015.3_enu.iso"
  action :create
end

ec2helper_iso 'MountTfsIso' do
	volume_name "TFSSERVER2015.3_ENU"
	iso_path "#{Chef::Config['file_cache_path']}"
	iso_filename "tfsserver2015.3_enu.iso"
end

execute "X" do
	command lazy {"#{node[:ec2helper][:iso][:mount][:drive_letter]}:/TfsServer2015.3.exe"}
end





#ec2helper_mount 'MountEc2Drives' do
#	volume_name "TFS2015.1_SERVER_MSDN_ENU"
#	drive_letter "#{node[:tfs][:setup_drive_letter]}"
#	not_if { File.exist?("#{node[:tfs][:setup_exe_path]}") }
#	notifies :run, 'execute[Install TFS]', :immediately
#	action :mount
#end

# Installing Team Foundation Server Standard.
#execute 'Install TFS' do
#	command "#{node[:tfs][:setup_exe_path]} /quiet"
#	timeout 21600
#	returns [0,3010]
#	not_if { File.exist?("#{node[:tfs][:config_exe_path]}") }
#	action :nothing
#end
